import { RenderType, SideType } from '//resources/mojo/components/omnibox/browser/searchbox.mojom-webui.js';
import type { TimeTicks } from '//resources/mojo/mojo/public/mojom/base/time.mojom-webui.js';
/**
 * Converts a time ticks in milliseconds to TimeTicks.
 * @param timeTicks time ticks in milliseconds
 */
export declare function mojoTimeTicks(timeTicks: number): TimeTicks;
/** Returns promise that resolves when lazy rendering should be started. */
export declare function waitForLazyRender(): Promise<void>;
/** Converts a side type to a string to be used in CSS. */
export declare function sideTypeToClass(sideType: SideType): string;
/** Converts a render type to a string to be used in CSS. */
export declare function renderTypeToClass(renderType: RenderType): string;
